Bug 2217729 - Review Request: ocaml-yaml - Parse and generate YAML 1.1/1.2 files
Summary: Review Request: ocaml-yaml - Parse and generate YAML 1.1/1.2 files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL: https://avsm.github.io/ocaml-yaml/
Whiteboard:
Depends On:
Blocks: 2217730
TreeView+ depends on / blocked
 
Reported: 2023-06-27 03:33 UTC by Jerry James
Modified: 2023-07-13 23:43 UTC (History)
2 users (show)

Fixed In Version: ocaml-yaml-3.1.0-3.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-13 23:43:10 UTC
Type: ---
Embargoed:
rjones: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2023-06-27 03:33:13 UTC
Spec URL: https://jjames.fedorapeople.org/ocaml-yaml/ocaml-yaml.spec
SRPM URL: https://jjames.fedorapeople.org/ocaml-yaml/ocaml-yaml-3.1.0-1.fc39.src.rpm
Fedora Account System Username: jjames
Description: This is an OCaml library to parse and generate the YAML file format.  It is intended to be interoperable with the Ezjsonm (https://github.com/mirage/ezjsonm) JSON handling library, if the simple common subset of Yaml is used.  Anchors and other advanced Yaml features are not implemented in the JSON compatibility layer.

Comment 1 Fedora Review Service 2023-06-27 03:39:32 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6117193
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2217729-ocaml-yaml/fedora-rawhide-x86_64/06117193-ocaml-yaml/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Richard W.M. Jones 2023-06-27 08:25:51 UTC
I'd be inclined to conditionalize the tests, like:
%global run_tests 0
%if %{run_tests}
%endif
(rather than just using %if 0)

Comment 3 Richard W.M. Jones 2023-06-27 08:34:59 UTC
I stopped doing the review at ...

-----

Generic:                                                                        
[x]: Package is licensed with an open-source compatible license and meets       
     other legal requirements as defined in the legal section of Packaging      
     Guidelines.                                                                
[!]: License field in the package spec file matches the actual license.         
     Note: Checking patched sources after %prep for licenses. Licenses          
     found: "Unknown or generated", "ISC License", "*No copyright* ISC          
     License", "MIT License". 44 files have unknown license. Detailed           
     output of licensecheck in /var/tmp/2217729-ocaml-yaml/licensecheck.txt     
                                                                                
The licensecheck output isn't very accurate, but I checked the                  
upstream sources instead and they're correctly annotated for ISC.               
                                                                                
However the bundled copy of libyaml is MIT licensed, so I believe the           
License field should probably be: ISC AND MIT                                   
                                                                                
A larger problem here is that we need a FPC exception to add the                
bundled libyaml to Fedora, unless we can work out how to unbundle it            
(which I'd prefer, actually).  The situation is not ideal to say the            
least.                                                                          
                                                                                
[x]: License file installed when any subpackage combination is installed.       
[ ]: %build honors applicable compiler flags or justifies otherwise.            
[!]: Package contains no bundled libraries without FPC exception.               
                                                                                
(See above)                                                                     
                                                                                
-----

I think it'd be useful to try to find out exactly how upstream have modified
libyaml, and work out if those changes are invasive or not, and if they can be
separated out.  I might have a look into this later.

Comment 4 Richard W.M. Jones 2023-06-27 16:37:04 UTC
Interestingly libyaml & the copy of libyaml in ocaml-yaml are identical,
which I did not expect:

6e605fc9634e93e0187069a2e871d16d  /home/rjones/d/libyaml/src/api.c
6e605fc9634e93e0187069a2e871d16d  /home/rjones/d/ocaml-yaml/vendor/api.c
948f2ac1f42b36f9b6ed10ce0291bdb9  /home/rjones/d/libyaml/src/dumper.c
948f2ac1f42b36f9b6ed10ce0291bdb9  /home/rjones/d/ocaml-yaml/vendor/dumper.c
3867fc7a11ee386b8a5106cb506cb9c0  /home/rjones/d/libyaml/src/emitter.c
3867fc7a11ee386b8a5106cb506cb9c0  /home/rjones/d/ocaml-yaml/vendor/emitter.c
d1bb577f92e25d50b313da8d022f3149  /home/rjones/d/libyaml/src/loader.c
d1bb577f92e25d50b313da8d022f3149  /home/rjones/d/ocaml-yaml/vendor/loader.c
9c4f0181665c37d4bcdd05535e6a2130  /home/rjones/d/libyaml/src/parser.c
9c4f0181665c37d4bcdd05535e6a2130  /home/rjones/d/ocaml-yaml/vendor/parser.c
efcea8b4a8bcfbc96ae32abd0f18e472  /home/rjones/d/libyaml/src/reader.c
efcea8b4a8bcfbc96ae32abd0f18e472  /home/rjones/d/ocaml-yaml/vendor/reader.c
830f57f176e768c7fa97d086de18050d  /home/rjones/d/libyaml/src/scanner.c
830f57f176e768c7fa97d086de18050d  /home/rjones/d/ocaml-yaml/vendor/scanner.c
7b2e815cfd48dbfd462f3bd317059e3f  /home/rjones/d/libyaml/src/writer.c
7b2e815cfd48dbfd462f3bd317059e3f  /home/rjones/d/ocaml-yaml/vendor/writer.c
f9a3252c2bb3f882698c10254b484541  /home/rjones/d/libyaml/src/yaml_private.h
f9a3252c2bb3f882698c10254b484541  /home/rjones/d/ocaml-yaml/vendor/yaml_private.h

but the header is different:

11d060175ea0cbb1fb94f2459f1bd6e3  /home/rjones/d/libyaml/include/yaml.h
8e57b936e51a0ac6eefdebdb6483ffde  /home/rjones/d/ocaml-yaml/vendor/yaml.h

Basically all the anonymous structs and unions in the header have been named.
There are lots of changes like:

     yaml_token_type_t type;
 
     /** The token data. */
-    union {
+    union data_u {
 
         /** The stream start (for @c YAML_STREAM_START_TOKEN). */
-        struct {
+        struct stream_start_s {
             /** The stream encoding. */
             yaml_encoding_t encoding;
         } stream_start;

The README explains:

> yaml.h has been modified to remove anonymous structs and unions, since ocaml-ctypes stub
> generation needs to probe their sizes at compile-time.

although it's not clear how adding names to structs achieves this.  But let's
assume it's necessary for ctypes.

A possible way to unbundle this [ideally upstream] would be to copy /usr/include/yaml.h,
apply some sed magic over it to add those names, then simply link to -lyaml for the
code.

Comment 5 Richard W.M. Jones 2023-06-27 17:13:41 UTC
This is ugly as hell, but works for me:
http://git.annexia.org/?p=fedora-reviews.git;a=commitdiff;h=5e5e89d9d3f2773dc3d23f91100f43b1f2382933

Comment 6 Jerry James 2023-06-28 23:01:10 UTC
Thank you!  Something is wrong, though.  The binary RPM doesn't show a dependency on libyaml.  Ah, ffi/lib/dune needs "(c_library_flags -lyaml)".

I have tweaked a few things and uploaded new spec and srpm files.  Due to %autorelease/%autochangelog, the URLs are the same as before.

Comment 8 Richard W.M. Jones 2023-06-29 08:14:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.

This rule is not applicable to RPM packages.

[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

This is used by the OCaml compiler when linking programs
with ocaml-yaml.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "ISC License", "*No copyright* ISC
     License", "MIT License". 34 files have unknown license. Detailed
     output of licensecheck in /var/tmp/2217729-ocaml-yaml/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.

Using %dune_build

[x]: Package contains no bundled libraries without FPC exception.

Upstream bundles libyaml, but we have unbundled it here and are
working with upstream to get this fixed.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ocaml:
[x]: This should never happen

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
     yaml-sexp-devel

This seems correct.  The current package has:

  %package devel
  Requires:       %{name}%{?_isa} = %{version}-%{release}

  %package sexp
  Requires:       %{name}%{?_isa} = %{version}-%{release}

  %package sexp-devel
  Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

So it's my understanding that fedora-review is wrong.  There
is an indirect requires to the base package.

[?]: Package functions as described.
[x]: Latest version is packaged.

Latest upstream is 3.1.0 which is the version packaged.

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

Although adding a link to the unbundling issue would be helpful.

[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.

We don't have enough dependencies to run %check, but it is present.

[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-yaml-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-devel-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-sexp-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-sexp-devel-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-debuginfo-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-debugsource-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-3.1.0-1.fc38.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmplia7n528')]
checks: 31, packages: 7

ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/bindings/types/yaml_bindings_types.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/bindings/yaml_bindings.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/c/libyaml_c_stubs.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/c/yaml_c.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/ffi/libyaml_ffi_stubs.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/ffi/yaml_ffi.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/types/yaml_types.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/unix/yaml_unix.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/yaml.a
ocaml-yaml-sexp-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml-sexp/yaml_sexp.a
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/stublibs/dllyaml_c_stubs.so
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/bindings/types/yaml_bindings_types.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/bindings/yaml_bindings.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/c/yaml_c.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/types/yaml_types.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/unix/yaml_unix.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/yaml.cmxs
ocaml-yaml-sexp.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml-sexp/yaml_sexp.cmxs

These are all used by the OCaml compiler.

ocaml-yaml-devel.x86_64: W: no-documentation
ocaml-yaml-sexp-devel.x86_64: W: no-documentation

There is little documentation even upstream.

ocaml-yaml-devel.x86_64: E: lto-no-text-in-archive /usr/lib64/ocaml/yaml/c/libyaml_c_stubs.a
ocaml-yaml.x86_64: W: library-not-linked-against-libc /usr/lib64/ocaml/stublibs/dllyaml_ffi_stubs.so
ocaml-yaml.x86_64: W: library-not-linked-against-libc /usr/lib64/ocaml/yaml/ffi/yaml_ffi.cmxs

These are all used by the OCaml compiler.

 7 packages and 0 specfiles checked; 19 errors, 4 warnings, 19 badness; has taken 0.6 s 




Rpmlint (debuginfo)
-------------------
Checking: ocaml-yaml-sexp-debuginfo-3.1.0-1.fc38.x86_64.rpm
          ocaml-yaml-debuginfo-3.1.0-1.fc38.x86_64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp7tym5ums')]
checks: 31, packages: 2

 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s 





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 7

ocaml-yaml-sexp-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml-sexp/yaml_sexp.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/bindings/types/yaml_bindings_types.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/bindings/yaml_bindings.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/c/libyaml_c_stubs.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/c/yaml_c.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/ffi/libyaml_ffi_stubs.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/ffi/yaml_ffi.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/types/yaml_types.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/unix/yaml_unix.a
ocaml-yaml-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ocaml/yaml/yaml.a
ocaml-yaml-sexp.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml-sexp/yaml_sexp.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/stublibs/dllyaml_ffi_stubs.so
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/bindings/types/yaml_bindings_types.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/bindings/yaml_bindings.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/c/yaml_c.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/ffi/yaml_ffi.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/types/yaml_types.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/unix/yaml_unix.cmxs
ocaml-yaml.x86_64: E: shared-library-without-dependency-information /usr/lib64/ocaml/yaml/yaml.cmxs
ocaml-yaml-sexp-devel.x86_64: W: no-documentation
ocaml-yaml-devel.x86_64: W: no-documentation
 7 packages and 0 specfiles checked; 19 errors, 2 warnings, 19 badness; has taken 1.6 s 



Unversioned so-files
--------------------
ocaml-yaml: /usr/lib64/ocaml/stublibs/dllyaml_c_stubs.so
ocaml-yaml: /usr/lib64/ocaml/stublibs/dllyaml_ffi_stubs.so

Source checksums
----------------
https://github.com/avsm/ocaml-yaml/releases/download/v3.1.0/yaml-3.1.0.tbz :
  CHECKSUM(SHA256) this package     : d0a9e0ae2184a69e6d7202bfe3707d10439d31a71241860234b19f020452ecc7
  CHECKSUM(SHA256) upstream package : d0a9e0ae2184a69e6d7202bfe3707d10439d31a71241860234b19f020452ecc7


Requires
--------
ocaml-yaml (rpmlib, GLIBC filtered):
    libyaml-0.so.2()(64bit)
    ocaml(Astring)
    ocaml(Bigarray_compat)
    ocaml(Bos)
    ocaml(CamlinternalFormatBasics)
    ocaml(ComplexL)
    ocaml(Cstubs_internals)
    ocaml(Ctypes)
    ocaml(Ctypes_bigarray)
    ocaml(Ctypes_memory_stubs)
    ocaml(Ctypes_primitive_types)
    ocaml(Ctypes_ptr)
    ocaml(Ctypes_static)
    ocaml(Ctypes_types)
    ocaml(Fmt)
    ocaml(Fpath)
    ocaml(LDouble)
    ocaml(Logs)
    ocaml(Rresult)
    ocaml(Signed)
    ocaml(Stdlib)
    ocaml(Stdlib__Bigarray)
    ocaml(Stdlib__Buffer)
    ocaml(Stdlib__Bytes)
    ocaml(Stdlib__Complex)
    ocaml(Stdlib__Either)
    ocaml(Stdlib__Format)
    ocaml(Stdlib__Hashtbl)
    ocaml(Stdlib__Int32)
    ocaml(Stdlib__Int64)
    ocaml(Stdlib__List)
    ocaml(Stdlib__Map)
    ocaml(Stdlib__Nativeint)
    ocaml(Stdlib__Obj)
    ocaml(Stdlib__Printexc)
    ocaml(Stdlib__Printf)
    ocaml(Stdlib__Queue)
    ocaml(Stdlib__Result)
    ocaml(Stdlib__Seq)
    ocaml(Stdlib__Set)
    ocaml(Stdlib__Stack)
    ocaml(Stdlib__String)
    ocaml(Stdlib__Uchar)
    ocaml(Unix)
    ocaml(Unsigned)
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml(Yaml__Stream)
    ocaml(Yaml__Types)
    ocaml(Yaml__Util)
    ocaml(Yaml_bindings)
    ocaml(Yaml_bindings_types)
    ocaml(Yaml_ffi)
    ocaml(Yaml_ffi__G)
    ocaml(Yaml_ffi__M)
    ocaml(Yaml_types)
    ocaml(Yaml_types__G)
    ocaml(Yaml_types__M)
    rtld(GNU_HASH)

ocaml-yaml-devel (rpmlib, GLIBC filtered):
    ocaml(Astring)
    ocaml(Bigarray_compat)
    ocaml(Bos)
    ocaml(CamlinternalFormatBasics)
    ocaml(ComplexL)
    ocaml(Cstubs_internals)
    ocaml(Ctypes)
    ocaml(Ctypes_bigarray)
    ocaml(Ctypes_memory_stubs)
    ocaml(Ctypes_primitive_types)
    ocaml(Ctypes_ptr)
    ocaml(Ctypes_static)
    ocaml(Ctypes_types)
    ocaml(Fmt)
    ocaml(Fpath)
    ocaml(LDouble)
    ocaml(Logs)
    ocaml(Rresult)
    ocaml(Signed)
    ocaml(Stdlib)
    ocaml(Stdlib__Bigarray)
    ocaml(Stdlib__Buffer)
    ocaml(Stdlib__Bytes)
    ocaml(Stdlib__Complex)
    ocaml(Stdlib__Either)
    ocaml(Stdlib__Format)
    ocaml(Stdlib__Hashtbl)
    ocaml(Stdlib__Int32)
    ocaml(Stdlib__Int64)
    ocaml(Stdlib__List)
    ocaml(Stdlib__Map)
    ocaml(Stdlib__Nativeint)
    ocaml(Stdlib__Obj)
    ocaml(Stdlib__Printexc)
    ocaml(Stdlib__Printf)
    ocaml(Stdlib__Queue)
    ocaml(Stdlib__Result)
    ocaml(Stdlib__Seq)
    ocaml(Stdlib__Set)
    ocaml(Stdlib__Stack)
    ocaml(Stdlib__String)
    ocaml(Stdlib__Uchar)
    ocaml(Unix)
    ocaml(Unsigned)
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml(Yaml__Stream)
    ocaml(Yaml__Types)
    ocaml(Yaml__Util)
    ocaml(Yaml_bindings)
    ocaml(Yaml_bindings_types)
    ocaml(Yaml_ffi)
    ocaml(Yaml_ffi__G)
    ocaml(Yaml_ffi__M)
    ocaml(Yaml_types)
    ocaml(Yaml_types__G)
    ocaml(Yaml_types__M)
    ocaml-bos-devel(x86-64)
    ocaml-ctypes-devel(x86-64)
    ocaml-yaml(x86-64)
    ocamlx(Bos)
    ocamlx(Cstubs_internals)
    ocamlx(Ctypes)
    ocamlx(Ctypes_static)
    ocamlx(Stdlib)
    ocamlx(Stdlib__Bytes)
    ocamlx(Stdlib__Format)
    ocamlx(Stdlib__Int64)
    ocamlx(Stdlib__List)
    ocamlx(Stdlib__Printf)
    ocamlx(Stdlib__Result)
    ocamlx(Stdlib__String)
    ocamlx(Unsigned)
    ocamlx(Yaml)
    ocamlx(Yaml__Stream)
    ocamlx(Yaml__Types)
    ocamlx(Yaml__Util)
    ocamlx(Yaml_bindings)
    ocamlx(Yaml_bindings_types)
    ocamlx(Yaml_ffi__G)
    ocamlx(Yaml_ffi__M)
    ocamlx(Yaml_types__G)
    ocamlx(Yaml_types__M)

ocaml-yaml-sexp (rpmlib, GLIBC filtered):
    ocaml(CamlinternalFormatBasics)
    ocaml(Sexplib0)
    ocaml(Sexplib0__)
    ocaml(Sexplib0__Sexp)
    ocaml(Sexplib0__Sexp_conv)
    ocaml(Sexplib0__Sexp_conv_error)
    ocaml(Sexplib0__Sexp_conv_grammar)
    ocaml(Sexplib0__Sexp_grammar)
    ocaml(Sexplib0__Sexpable)
    ocaml(Stdlib)
    ocaml(Stdlib__Buffer)
    ocaml(Stdlib__Bytes)
    ocaml(Stdlib__Either)
    ocaml(Stdlib__Format)
    ocaml(Stdlib__Hashtbl)
    ocaml(Stdlib__ListLabels)
    ocaml(Stdlib__Option)
    ocaml(Stdlib__Printf)
    ocaml(Stdlib__Seq)
    ocaml(Stdlib__StdLabels)
    ocaml(Stdlib__StringLabels)
    ocaml(Stdlib__Uchar)
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml-yaml(x86-64)
    rtld(GNU_HASH)

ocaml-yaml-sexp-devel (rpmlib, GLIBC filtered):
    ocaml(CamlinternalFormatBasics)
    ocaml(Sexplib0)
    ocaml(Sexplib0__)
    ocaml(Sexplib0__Sexp)
    ocaml(Sexplib0__Sexp_conv)
    ocaml(Sexplib0__Sexp_conv_error)
    ocaml(Sexplib0__Sexp_conv_grammar)
    ocaml(Sexplib0__Sexp_grammar)
    ocaml(Sexplib0__Sexpable)
    ocaml(Stdlib)
    ocaml(Stdlib__Buffer)
    ocaml(Stdlib__Bytes)
    ocaml(Stdlib__Either)
    ocaml(Stdlib__Format)
    ocaml(Stdlib__Hashtbl)
    ocaml(Stdlib__ListLabels)
    ocaml(Stdlib__Option)
    ocaml(Stdlib__Printf)
    ocaml(Stdlib__Seq)
    ocaml(Stdlib__StdLabels)
    ocaml(Stdlib__StringLabels)
    ocaml(Stdlib__Uchar)
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml-ppx-sexp-conv-devel(x86-64)
    ocaml-sexplib-devel(x86-64)
    ocaml-yaml-devel(x86-64)
    ocaml-yaml-sexp(x86-64)
    ocamlx(Sexplib0__Sexp_conv)
    ocamlx(Sexplib0__Sexp_conv_error)

ocaml-yaml-debuginfo (rpmlib, GLIBC filtered):

ocaml-yaml-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ocaml-yaml:
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml(Yaml__Stream)
    ocaml(Yaml__Types)
    ocaml(Yaml__Util)
    ocaml(Yaml_bindings)
    ocaml(Yaml_bindings_types)
    ocaml(Yaml_c)
    ocaml(Yaml_ffi)
    ocaml(Yaml_ffi__G)
    ocaml(Yaml_ffi__M)
    ocaml(Yaml_types)
    ocaml(Yaml_types__G)
    ocaml(Yaml_types__M)
    ocaml(Yaml_unix)
    ocaml-yaml
    ocaml-yaml(x86-64)

ocaml-yaml-devel:
    ocaml(Yaml)
    ocaml(Yaml__)
    ocaml(Yaml__Stream)
    ocaml(Yaml__Types)
    ocaml(Yaml__Util)
    ocaml(Yaml_bindings)
    ocaml(Yaml_bindings_types)
    ocaml(Yaml_c)
    ocaml(Yaml_ffi)
    ocaml(Yaml_ffi__G)
    ocaml(Yaml_ffi__M)
    ocaml(Yaml_types)
    ocaml(Yaml_types__G)
    ocaml(Yaml_types__M)
    ocaml(Yaml_unix)
    ocaml-yaml-devel
    ocaml-yaml-devel(x86-64)
    ocamlx(Yaml)
    ocamlx(Yaml__)
    ocamlx(Yaml__Stream)
    ocamlx(Yaml__Types)
    ocamlx(Yaml__Util)
    ocamlx(Yaml_bindings)
    ocamlx(Yaml_bindings_types)
    ocamlx(Yaml_c)
    ocamlx(Yaml_ffi)
    ocamlx(Yaml_ffi__G)
    ocamlx(Yaml_ffi__M)
    ocamlx(Yaml_types)
    ocamlx(Yaml_types__G)
    ocamlx(Yaml_types__M)
    ocamlx(Yaml_unix)

ocaml-yaml-sexp:
    ocaml(Yaml_sexp)
    ocaml-yaml-sexp
    ocaml-yaml-sexp(x86-64)

ocaml-yaml-sexp-devel:
    ocaml(Yaml_sexp)
    ocaml-yaml-sexp-devel
    ocaml-yaml-sexp-devel(x86-64)
    ocamlx(Yaml_sexp)

ocaml-yaml-debuginfo:
    debuginfo(build-id)
    ocaml-yaml-debuginfo
    ocaml-yaml-debuginfo(x86-64)

ocaml-yaml-debugsource:
    ocaml-yaml-debugsource
    ocaml-yaml-debugsource(x86-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2217729 -m fedora-38-x86_64 -L /var/tmp/repo
Buildroot used: fedora-38-x86_64
Active plugins: C/C++, Ocaml, Shell-api, Generic
Disabled plugins: Python, SugarActivity, Haskell, R, fonts, PHP, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Built with local dependencies:
    /var/tmp/repo/ocaml-uucd-debuginfo-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucd-debugsource-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucd-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucd-devel-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-globalize-debuginfo-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-globalize-debugsource-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-globalize-devel-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-globalize-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-stable-witness-debuginfo-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-stable-witness-debugsource-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-stable-witness-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-ppx-stable-witness-devel-0.16.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uunf-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uunf-debuginfo-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uunf-devel-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uunf-debugsource-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucp-debuginfo-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucp-debugsource-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucp-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-uucp-devel-15.0.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-debuginfo-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-debugsource-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-sexp-debuginfo-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-sexp-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-sexp-devel-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-3.1.0-1.fc38.x86_64.rpm
    /var/tmp/repo/ocaml-yaml-devel-3.1.0-1.fc38.x86_64.rpm

Comment 9 Richard W.M. Jones 2023-06-29 08:15:10 UTC
*** This package is APPROVED for Fedora ***

Comment 10 Fedora Admin user for bugzilla script actions 2023-06-30 20:58:45 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/ocaml-yaml

Comment 11 Jerry James 2023-07-13 23:43:10 UTC
The package has been built in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.